# Coriolis Core (CRL) Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CRL::AllianceLibrary Class Reference

A small wrapper around Hurricane::Library. More...

## Public Member Functions
| AllianceLibrary ()
| AllianceLibrary (const Name &path, Library *library=NULL)
const Name & | getPath () const
Library * | getLibrary () const

## Detailed Description

A small wrapper around Hurricane::Library.

The AllianceLibrary simply adds the path from which the Hurricane::Library has been loaded.

## Constructor & Destructor Documentation

CRL::AllianceLibrary::AllianceLibrary | ( |  | ) |

A new, empty, AllianceLibrary.

CRL::AllianceLibrary::AllianceLibrary | ( | const Name & | path,
|  | Library * | library = `NULL`
| ) |  |

A new AllianceLibrary, with `path` positionned and possibly `library`.

## Member Function Documentation

const Name & CRL::AllianceLibrary::getPath | ( |  | ) | const
| inline

Returns
  the associated path.

Hurricane::Library * CRL::AllianceLibrary::getLibrary | ( |  | ) | const
| inline

Returns
  the associated library.

The documentation for this class was generated from the following files:

- AllianceLibrary.h
- AllianceLibrary.dox

Generated by doxygen 1.8.5 on Thu Mar 19 2020 | Return to top of page

Coriolis Core (CRL) | Copyright © 2008-2016 UPMC All rights reserved